人力検索はてな
モバイル版を表示しています。PC版はこちら
i-mobile

Vine Linu 3.0でWebminを使用するとApacheサーバーの
「変更を適用」を押した時にエラーが出ます。
mod_perl.soやらmod_php.soやらがいっぱい見つかりませんと。
mod_perlは見つけてインストールしたのですが、
mod_php.soが一向に見つかりません。

これらはインストールしないといけないのでしょうか?


別件なのですが、同じくVine Linux3.0でスクリーンセーバーの設定のところで
変更ができませんみたいな対応してませんみたいなメッセージがでます。
これは回避できるのでしょうか?

●質問者: nyankochan
●カテゴリ:コンピュータ 趣味・スポーツ
✍キーワード:Apache mod_perl Vine Vine Linux インストール
○ 状態 :終了
└ 回答数 : 3/3件

▽最新の回答へ

1 ● foral
●20ポイント

http://localhost.de/

localhost.de

mod_php.soは、

apt-get install phpをすればよいです。

PHP言語を使いたいならば必要

そうでなければ不要

◎質問者からの返答

webminの手動指定APTではなくコマンドからの自動APTのほうでしょうか?

webminのほうからやるとmod_php.soであるはずのものがmod_php4.soになります。

コマンドからのほうも試してみますね。


2 ● hug-moon
●20ポイント

http://japache.infoscience.co.jp/japanese_1_3/manual/mod/index.h...

Apache modules

Apacheの設定で見つかりませんと言われるモジュールを使用することにしていませんか?

URLを参考にして必要なモジュールだけを摘要されることをお勧めします。

URLははじめから含まれているはずのモジュールで、mod_PHP.soはPHPを使用する為のもので、PHPをインストールすると手に入る(はず)。

◎質問者からの返答

なんですよね〜。webminAPTからインストールしたのだけれど手に入らなかったんです。

Vineをインストールしてwebminを入れてアパッチを最初に開くときに出るモジュール設定は一切いじってませんです。


3 ● atene1968
●20ポイント

http://webmin.ispace.co.jp/screens/apache.gif

上の2.の回答者の方に同意です。このURL(英語版ですが・・・)にあるWebminの画面

で説明しますが、「Apache Modules」をクリックして表示される mod_***の内容を一度確認してみてください。「php」関係のモジュールは使用されているマシンで、PHP3/4を使用されていない場合、チェックをはずし変更を確定するボタンを押してみてください。

http://vinelinux.org/errata/3x/i386.html

Updates for Vine Linux 3.x/i386

Vine Linux3.0でスクリーンセーバーの設定

・これはどのデスクトップアプリケーションを使われているかで、設定場所が変わると思います。

例 GNOME

GNOMEコントロールセンターで設定出来ます。

また、スクリーンセーバーなども設定出来ます。

http://okweb.jp/kotaeru.php3?q_id=897676

Linuxのスクリーンセーバーの場所を教えてください。 -OKWave

追加のURLです。

このURLのページも参考にしてください。

◎質問者からの返答

ありがとうございました。

rootで入るとスクリーンセーバーは使用できないみたいです。

モジュールエラーのほうは、Webminを最新版にすると発生するみたいで

httpdではなくapacheのconf設定でコメントアウトして解決しました。

関連質問


●質問をもっと探す●



0.人力検索はてなトップ
8.このページを友達に紹介
9.このページの先頭へ
対応機種一覧
お問い合わせ
ヘルプ/お知らせ
ログイン
無料ユーザー登録
はてなトップ